Bug 1570943 - OSP10->11->12 undercloud upgrade fails with: ERROR keystone DbMigrationError: (pymysql.err.InternalError) (1061, u"Duplicate key name 'ix_default_project_id'") [SQL: u'CREATE INDEX ix_default_project_id ON user (default_project_id)']
Summary: OSP10->11->12 undercloud upgrade fails with: ERROR keystone DbMigrationError:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z8
: 10.0 (Newton)
Assignee: John Dennis
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On: 1569605
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 19:31 UTC by Harry Rybacki
Modified: 2018-05-17 15:48 UTC (History)
12 users (show)

Fixed In Version: openstack-keystone-10.0.3-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1569605
Environment:
Last Closed: 2018-05-17 15:48:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1599 0 None None None 2018-05-17 15:48:18 UTC

Comment 1 Harry Rybacki 2018-04-24 13:12:57 UTC
Revert patch has merged[1] and added to build openstack-keystone-10.0.3-3.el7ost

Moving bug to MODIFIED.

[1] - https://code.engineering.redhat.com/gerrit/136574

Comment 5 errata-xmlrpc 2018-05-17 15:48:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1599


Note You need to log in before you can comment on or make changes to this bug.